This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 807838 - Use plumage data to provide initial reporting capabilities [RFE]
Use plumage data to provide initial reporting capabilities [RFE]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
Development
Unspecified Unspecified
high Severity low
: 2.3
: ---
Assigned To: Chad Roberts
Stanislav Graf
: FutureFeature, TechPreview
Depends On:
Blocks: 850563 874955 905936
  Show dependency treegraph
 
Reported: 2012-03-28 17:04 EDT by Trevor McKay
Modified: 2013-04-15 20:48 EDT (History)
8 users (show)

See Also:
Fixed In Version: cumin-0.1.5338-1
Doc Type: Technology Preview
Doc Text:
Technology Preview feature CuminReporting Description: This feature allows Cumin to use data from the condor-plumage (ODS) database to generate long-duration visualizations of grid system behavior. In order for cumin-report to be able to access the condor-plumage ODS, the Grid installation must include the condor-plumage package and it must be turned on. The only configuration necessary to enable CuminReporting is in /etc/cumin/cumin.conf Find the section that looks like the commented lines below and uncomment the "# reports: report" line # Reporting is off by default. # To enable reporting features, uncomment the following line. # reports: report Also, by default, cumin will expire data samples in the database after 90 days. In order to allow the reporting feature to store data for a longer period of time, the following can be added to the [report] section of cumin.conf. expire-threshold: 1y #for 1 year of data retention, 30d would give 30 days, and so on. cumin-report pulls data from the ODS (mongoDB) in the background. A full data load can be millions and millions of records and could take a considerable amount of time. Any data that has been loaded will immediately show up in the charts in the cumin UI. There are threads that maintain an archive load (starting with current records and moving back in time) and another thread that loads current records every 5 min. Dependencies: The CuminReporting feature has a dependency on RHEL 6 or newer. pymongo version 1.9-8 or newer. To install you can run the following: # yum install pymongo Feedback: Bug reports or requests for enhancement can be made through http://bugzilla.redhat.com. General questions about this feature can be handled through the email list cumin-users@lists.fedorahosted.org Full support: This feature is intended to be fully supported in an upcoming minor release. Where to find this information: Content similar to this Release Note may be found in the file /usr/share/doc/cumin-*/REPORTING-README after the software is installed. However, the Release Note should be considered more up to date and where there are any discrepancies the Release Note supersedes the readme file. Technology Preview Policy: Technology Preview features are not currently supported under Red Hat Enterprise Linux subscription services, may not be functionally complete, and are generally not suitable for production use. However, these features are included as a customer convenience and to provide the technologies with wider exposure. Customers may find these features useful in non-production environments, and can provide feedback and functionality suggestions prior to their transition to fully supported status. Erratas will be provided for high-priority security issues. During its development additional components of a Technology Preview feature may become available to the public for testing. It is the intention of Red Hat to fully support Technology Preview features in a future release.
Story Points: ---
Clone Of:
: 874955 905936 (view as bug list)
Environment:
Last Closed: 2013-03-06 13:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trevor McKay 2012-03-28 17:04:20 EDT
Description of problem:

Data available via Plumage will allow Cumin to provide long term reports of grid activity -- resource utilization over an extended period of time or custom time window, for example.

Extend cumin-data and cumin-web to consume and present such data, decide on an initial set of reports to implement.
Comment 4 Chad Roberts 2012-04-19 13:38:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:  Customers would like to be able to readily visualize system usage over longer periods of time than cumin currently provides (currently 1-day is max window).

Consequence:  Customers are currently driven to other tools to try to get the longer-term data to reveal trends in their system.

Change:  Cumin is now able to utilize the Plumage (ODS) model that sits on top of Condor to archive a multitude of data.  The breadth and depth of the content available there gives Cumin the ability to mine that data for extensive long-term reporting.  The first chart based on the ODS data can be found at Grid->Overview[Slot capacity], Grid utilization chart.

Result:  There is a new chart on the Grid->Overview[Slot capacity] page called Grid utilization that contains data from the ODS that can be changed to include intervals of 1 month and 1 year.
Comment 5 Trevor McKay 2012-04-19 14:12:06 EDT
Merged to trunk in revision 5317
Comment 6 Chad Roberts 2012-04-19 15:06:28 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,7 +1,36 @@
-Cause:  Customers would like to be able to readily visualize system usage over longer periods of time than cumin currently provides (currently 1-day is max window).
+Technology Preview feature CuminReporting
 
-Consequence:  Customers are currently driven to other tools to try to get the longer-term data to reveal trends in their system.
+Description:
 
-Change:  Cumin is now able to utilize the Plumage (ODS) model that sits on top of Condor to archive a multitude of data.  The breadth and depth of the content available there gives Cumin the ability to mine that data for extensive long-term reporting.  The first chart based on the ODS data can be found at Grid->Overview[Slot capacity], Grid utilization chart.
+This feature allows Cumin to use data from the Plumage (ODS) database to generate long-duration visualizations of grid system behavior.
 
-Result:  There is a new chart on the Grid->Overview[Slot capacity] page called Grid utilization that contains data from the ODS that can be changed to include intervals of 1 month and 1 year.+In order for cumin-report to be able to access the Plumage ODS, the Grid installation must include the Plumage plug-in and it must be turned on.  The only configuration necessary to access it can be made by changing the plumage_host and plumage_port configuration parameters in /etc/cumin/cumin.conf under the [report] section of the configuration.  The default values are plumage_host: localhost plumage_port: 27017.
+
+The CuminReporting feature can be activated by running the cumin-report program from $CUMIN_HOME/bin directory.  cumin-report pulls data from the ODS (mongoDB) in the background.  A full data load can be millions and millions of records and could take a considerable amount of time.  Any data that has been loaded will immediately show up in the charts in the cumin UI.
+
+Dependencies:
+
+The CuminReporting feature has a dependency on 
+RHEL 6 or newer.
+pymongo version 1.9-8 or newer.  This package has been added as a dependency in the cumin rpm.
+
+Feedback: 
+
+Bug reports or requests for enhancement can be made through http://bugzilla.redhat.com.  General questions about this feature can be handled through the email list 
+cumin-users@lists.fedorahosted.org
+
+Full support:
+
+This feature is intended to be fully supported in an upcoming minor release.
+
+Where to find this information:  
+
+Content similar to this Release Note may be found in the file /usr/share/doc/cumin-*/REPORTING-README after the software is installed.  However, the Release Note should be considered more up to date and where there are any discrepancies the Release Note supersedes the readme file.
+
+Technology Preview Policy:
+
+Technology Preview features are not currently supported under Red Hat Enterprise Linux subscription services, may not be functionally complete, and are generally not suitable for production use. However, these features are included as a customer convenience and to provide the technologies with wider exposure.
+
+Customers may find these features useful in non-production environments, and can provide feedback and functionality suggestions prior to their transition to fully supported status. Erratas will be provided for high-priority security issues.
+
+During its development additional components of a Technology Preview feature may become available to the public for testing. It is the intention of Red Hat to fully support Technology Preview features in a future release.
Comment 7 Chad Roberts 2012-04-19 15:43:33 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -2,17 +2,23 @@
 
 Description:
 
-This feature allows Cumin to use data from the Plumage (ODS) database to generate long-duration visualizations of grid system behavior.
+This feature allows Cumin to use data from the condor-plumage (ODS) database to generate long-duration visualizations of grid system behavior.
+In order for cumin-report to be able to access the condor-plumage ODS, the Grid installation must include the condor-plumage package and it must be turned on.  
 
-In order for cumin-report to be able to access the Plumage ODS, the Grid installation must include the Plumage plug-in and it must be turned on.  The only configuration necessary to access it can be made by changing the plumage_host and plumage_port configuration parameters in /etc/cumin/cumin.conf under the [report] section of the configuration.  The default values are plumage_host: localhost plumage_port: 27017.
+The only configuration necessary to enable CuminReporting is in /etc/cumin/cumin.conf
+Find the section that looks like the commented lines below and uncomment the  "# reports: report" line
+# Reporting is off by default.
+# To enable reporting features, uncomment the following line.
+# reports: report 
 
-The CuminReporting feature can be activated by running the cumin-report program from $CUMIN_HOME/bin directory.  cumin-report pulls data from the ODS (mongoDB) in the background.  A full data load can be millions and millions of records and could take a considerable amount of time.  Any data that has been loaded will immediately show up in the charts in the cumin UI.
+cumin-report pulls data from the ODS (mongoDB) in the background.  A full data load can be millions and millions of records and could take a considerable amount of time.
+Any data that has been loaded will immediately show up in the charts in the cumin UI.  There are threads that maintain an archive load (starting with current records and moving back in time) and another thread that loads current records every 5 min.
 
 Dependencies:
 
 The CuminReporting feature has a dependency on 
 RHEL 6 or newer.
-pymongo version 1.9-8 or newer.  This package has been added as a dependency in the cumin rpm.
+pymongo version 1.9-8 or newer.  To install you can run the following:  # yum install pymongo
 
 Feedback: 
 
@@ -22,15 +28,10 @@
 Full support:
 
 This feature is intended to be fully supported in an upcoming minor release.
-
 Where to find this information:  
-
 Content similar to this Release Note may be found in the file /usr/share/doc/cumin-*/REPORTING-README after the software is installed.  However, the Release Note should be considered more up to date and where there are any discrepancies the Release Note supersedes the readme file.
 
 Technology Preview Policy:
-
 Technology Preview features are not currently supported under Red Hat Enterprise Linux subscription services, may not be functionally complete, and are generally not suitable for production use. However, these features are included as a customer convenience and to provide the technologies with wider exposure.
-
 Customers may find these features useful in non-production environments, and can provide feedback and functionality suggestions prior to their transition to fully supported status. Erratas will be provided for high-priority security issues.
-
 During its development additional components of a Technology Preview feature may become available to the public for testing. It is the intention of Red Hat to fully support Technology Preview features in a future release.
Comment 8 Chad Roberts 2012-04-20 16:15:43 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -11,6 +11,9 @@
 # To enable reporting features, uncomment the following line.
 # reports: report 
 
+Also, by default, cumin will expire data samples in the database after 1 day.  In order to allow the reporting feature to store data for a longer period of time, the following can be added to the [report] section of cumin.conf.
+expire-threshold: 1y  #for 1 year of data retention, 30d would give 30 days, and so on. 
+
 cumin-report pulls data from the ODS (mongoDB) in the background.  A full data load can be millions and millions of records and could take a considerable amount of time.
 Any data that has been loaded will immediately show up in the charts in the cumin UI.  There are threads that maintain an archive load (starting with current records and moving back in time) and another thread that loads current records every 5 min.
Comment 18 Stanislav Graf 2013-01-11 10:02:34 EST
Tested on RHEL 5/6 i386/x86_64
cumin-0.1.5648-1

I've checked information from 'Doc Text' and new available charts in cumin.

Issues separated into Bug 883784, Bug 886961, Bug 893396

--> VERIFIED
Comment 20 errata-xmlrpc 2013-03-06 13:43:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.